import type { Plugin } from '@vuepress/core';
export interface CopyPulginOptions {
    /**
     * copy btn text
     *
     * 复制按钮字体
     * @default 'Copy'
     */
    copyText?: string;
    /**
     * copied text
     *
     * 已复制字体
     * @default 'Copied'
     */
    copiedText?: string;
    /**
     * code selector
     *
     * code的选择器
     * @default 'div[class*="language-"]'
     */
    selector?: string;
    /**
     * page delay (ms)
     *
     * 页面的延时 (ms)
     * @default 300
     */
    pageDelay?: number;
    /**
     * copy text color
     *
     * 字体颜色
     * @default 'var(--code-ln-color)'
     */
    color?: string;
}
export declare const CodeCopyPulgin: ({ copyText, copiedText, selector, pageDelay, color, }?: CopyPulginOptions) => Plugin;
